import { ApiBase } from '../Implementation/ApiBase';
import { ColDef, Column, HeaderValueGetterParams } from 'ag-grid-enterprise';
import { AdaptableColumn, AdaptableColumnDataType } from '../../types';
export declare function getAutoRowGroupColumnIdFor(columnId: string): string;
export declare class ColumnInternalApi extends ApiBase {
    /**
     * Retrieves 'ColumnType' property for a given Column
     *   isCumulativeAggregate(input: string): boolean {
     *     return !!this.getNodesFromExpression(input, 'CUMUL')?.length;
     *   }
     * @param columnId Column to use
     */
    getAgGridColumnType(columnId: string): string | string[];
    getAllAgGridColumnTypes(): string[];
    /**
     * Retrieves a list providing the Friendly Name / Caption for all columns
     */
    getAllColumnFriendlyNames(): string[];
    getAutoRowGroupColumnIdFor(columnId: string): string;
    /**
     * Retrieves AG Grid's field property for the column
     * @param columnId columnId to look up
     */
    getAgGridColumnFieldForAdaptableColumn(columnId: string): string;
    /**
     * Retrieves AG Grid's column for an Adaptable column
     * @param columnId columnId to look up
     */
    getAgGridColumnForAdaptableColumn(columnId: string): Column;
    isSpecialColumn(columnId: string, column?: AdaptableColumn): boolean;
    getColumnHeaderName(params: HeaderValueGetterParams): string;
    private buildColumnHeaderContext;
    hasArrayDataType(column: AdaptableColumn): boolean;
    getQueryableColumnsForUIEditor(): AdaptableColumn[];
    isColumnUIHidden(columnIdentifier: string | ColDef): boolean;
    getColumnDateTypes(): AdaptableColumnDataType[];
}
